> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search SIREN

> Fetch company data from a SIREN API, from a SIRET, SIREN or a name



## OpenAPI

````yaml /openapi.json get /siren
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /siren:
    get:
      tags:
        - lookups
      summary: Search SIREN
      description: Fetch company data from a SIREN API, from a SIRET, SIREN or a name
      operationId: SirenController_searchSiren
      parameters:
        - name: siren
          required: false
          in: query
          description: Siren number. Provide at least one of `siren`, `siret` or `name`.
          schema:
            type: string
        - name: siret
          required: false
          in: query
          description: 'Optional: Siret number'
          schema:
            type: string
        - name: name
          required: false
          in: query
          description: 'Optional: Company name'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchSirenOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidCustomerSiretErrorDto'
                  - $ref: '#/components/schemas/InvalidCustomerSirenErrorDto'
                  - $ref: '#/components/schemas/RequestValidationFailedErrorDto'
              examples:
                INVALID_CUSTOMER_SIRET:
                  value:
                    code: INVALID_CUSTOMER_SIRET
                    message: Customer siret {siret} is not accepted
                    details: {}
                INVALID_CUSTOMER_SIREN:
                  value:
                    code: INVALID_CUSTOMER_SIREN
                    message: Customer siren {siren} is not accepted
                    details: {}
                REQUEST_VALIDATION_FAILED:
                  value:
                    code: REQUEST_VALIDATION_FAILED
                    message: Request failed input validation
                    details: {}
          description: ''
components:
  schemas:
    SearchSirenOutput:
      type: object
      properties:
        total:
          type: number
          description: Total number of results
        data:
          description: List of formatted company details
          type: array
          items:
            $ref: '#/components/schemas/FormattedSirenDataDto'
      required:
        - total
        - data
    InvalidCustomerSiretErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_CUSTOMER_SIRET
        message:
          type: string
          example: Customer siret {siret} is not accepted
        details:
          $ref: '#/components/schemas/InvalidSiretDetailsDto'
      required:
        - code
        - message
        - details
    InvalidCustomerSirenErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_CUSTOMER_SIREN
        message:
          type: string
          example: Customer siren {siren} is not accepted
        details:
          $ref: '#/components/schemas/InvalidSirenDetailsDto'
      required:
        - code
        - message
        - details
    RequestValidationFailedErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - REQUEST_VALIDATION_FAILED
        message:
          type: string
          example: Request failed input validation
        details:
          $ref: '#/components/schemas/RequestValidationFailedDetailsDto'
      required:
        - code
        - message
        - details
    FormattedSirenDataDto:
      type: object
      properties:
        siren:
          type: string
          description: 'Optional: Siren number'
        siret:
          type: string
          description: Siret number
        nafCode:
          type: string
          description: 'Optional: Naf code'
        nafLabel:
          type: string
          description: 'Optional: Naf label'
        name:
          type: string
          description: 'Optional: Company name'
        creationDate:
          format: date-time
          type: string
          description: 'Optional: Creation date'
        location:
          description: 'Optional: Location'
          allOf:
            - $ref: '#/components/schemas/LocationDto'
        legalStatus:
          description: 'Optional: legal status by level'
          allOf:
            - $ref: '#/components/schemas/LegalStatusDto'
        headcount:
          type: string
          description: 'Optional: Number of employees'
        isActive:
          type: boolean
          description: >-
            Optional: legal unit is active (INSEE etatAdministratifUniteLegale:
            A=active, C=ceased)
      required:
        - siret
    InvalidSiretDetailsDto:
      type: object
      properties:
        siret:
          type: string
      required:
        - siret
    InvalidSirenDetailsDto:
      type: object
      properties:
        siren:
          type: string
      required:
        - siren
    RequestValidationFailedDetailsDto:
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
      required:
        - errors
    LocationDto:
      type: object
      properties:
        address:
          type: string
          description: Address
        postCode:
          type: string
          description: Post code
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
      required:
        - city
        - country
    LegalStatusDto:
      type: object
      properties:
        '1':
          type: string
          description: First legal status
        '2':
          type: string
          description: Second legal status
        '3':
          type: string
          description: Third legal status
      required:
        - '1'
        - '2'
        - '3'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````